2017-12-15 23:40 GMT

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0002782OpenFOAM[All Projects] Bugpublic2017-12-06 12:14
Reportershildenbrand 
Assigned Tohenry 
PrioritynormalSeverityminorReproducibilityalways
StatusresolvedResolutionfixed 
PlatformHP Z640OSDebian LinuxOS Version9.2
Product Versiondev 
Target VersionFixed in Versiondev 
Summary0002782: foamCloneCase does not work properly when using collated fileHandler
DescriptionIf 'collated' fileHandler is activated in controlDict (or possibly any other OptimisationSwitch) then the directories 0 or 0.orig are not copied to the new location.
This is due to "time_option="head -1" in foamCloneCase which is used in "foamListTimes -withZero -case "$srcDir" | $time_option"

Without any Optimisation Switch this gives usually "0" but when defining such a switch, I get "Overriding OptimisationSwitches according to controlDict" as output of this command and this can't be copied to the new location
Steps To ReproduceUse Optimisation Switch in controlDict and run foamCloneCase
TagsNo tags attached.
Attached Files

-Relationships
+Relationships

-Notes

~0009136

henry (manager)

Resolved by commit cc4d4433b80f947006a18e584cee2d011057a3dc
+Notes

-Issue History
Date Modified Username Field Change
2017-12-05 09:41 shildenbrand New Issue
2017-12-06 12:14 henry Assigned To => henry
2017-12-06 12:14 henry Status new => resolved
2017-12-06 12:14 henry Resolution open => fixed
2017-12-06 12:14 henry Fixed in Version => dev
2017-12-06 12:14 henry Note Added: 0009136
+Issue History